using LinqToDB;
using LinqToDB.Data;
using Azaion.Flights.Database.Entities;

namespace Azaion.Flights.Database;

public class AppDataConnection(DataOptions options) : DataConnection(options)
{
    public ITable<Aircraft> Aircrafts => this.GetTable<Aircraft>();
    public ITable<Flight> Flights => this.GetTable<Flight>();
    public ITable<Waypoint> Waypoints => this.GetTable<Waypoint>();
    public ITable<Orthophoto> Orthophotos => this.GetTable<Orthophoto>();
    public ITable<GpsCorrection> GpsCorrections => this.GetTable<GpsCorrection>();
    public ITable<MapObject> MapObjects => this.GetTable<MapObject>();
    public ITable<Media> Media => this.GetTable<Media>();
    public ITable<Annotation> Annotations => this.GetTable<Annotation>();
    public ITable<Detection> Detections => this.GetTable<Detection>();
}
